# PlexPlugin (api 1.1 API)
declaration: package: dev.plex.api.plugin, class: PlexPlugin

Package dev.plex.api.plugin

# Class PlexPlugin

java.lang.Object
org.bukkit.plugin.PluginBase
org.bukkit.plugin.java.JavaPlugin
dev.plex.api.plugin.PlexPlugin

All Implemented Interfaces:
  `org.bukkit.command.CommandExecutor`, `org.bukkit.command.TabCompleter`, `org.bukkit.command.TabExecutor`, `org.bukkit.plugin.Plugin`

public abstract class PlexPlugin extends org.bukkit.plugin.java.JavaPlugin

## Constructor Summary

Constructors
Constructor
Description
`PlexPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static PlexPlugin`
`get()`
`void`
`onLoad()`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultBiomeProvider, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onCommand, onDisable, onEnable, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.plugin.Plugin

`getLog4JLogger, getSLF4JLogger`

## Constructor Details

### PlexPlugin

public PlexPlugin()

## Method Details

### onLoad

public void onLoad()

Specified by:
  `onLoad` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onLoad` in class `org.bukkit.plugin.java.JavaPlugin`

### get

public static PlexPlugin get()